WHOOP App Minimum Device Software Requirements

The WHOOP app can be installed on an Android or iOS device. To set up and use WHOOP products and services, you must install the WHOOP app on a compatible device running one of the following operating systems:

Apple iOS 12 or higher

  • iPhone 6s or higher
  • Note: Users on beta versions of iOS are likely to experience compatibility issues. 

Android OS 7.0 or higher 

  • LG, Huawei, and other devices running Android 9 or lower often exhibit device connectivity and app performance issues. For the full list of manufacturers with compatibility issues, please see below. 
  • Devices must natively support Google Play Store.

Be sure to update your iOS/Android device to the most recent OS version for the latest features in the WHOOP app. If your device is not running a supported OS, you may be able to use the WHOOP app, but you will not be able to reinstall it if you delete it. 

Despite meeting the above requirements, the following devices are known to cause device connectivity and app performance issues when running Android 9 or lower: 

  • Huawei
  • LG
  • OnePlus: The battery optimization feature specifically causes compatibility issues.
  • Xiaomi
  • Meizu
  • Blackberry
  • Motorola
  • Oppo
  • SHIFT

While the phone and device may work together, it may require continued WHOOP app Bluetooth Troubleshooting.

Was this article helpful?
2 out of 2 found this helpful

Comments

0 comments

Article is closed for comments.